HEX
Server: LiteSpeed
System: Linux ip-172-31-76-142.ec2.internal 4.14.158-129.185.amzn2.x86_64 #1 SMP Tue Dec 24 03:15:32 UTC 2019 x86_64
User: 69b4844ae61d4e92bf26ad98af552775 (1065)
PHP: 7.2.27
Disabled: exec,passthru,shell_exec,system,eval
Upload Files
File: //usr/share/bash-completion/completions/addpart
_addpart_module()
{
	local cur
	COMPREPLY=()
	cur="${COMP_WORDS[COMP_CWORD]}"
	case $COMP_CWORD in
		1)
			OPTS="--help --version $(lsblk -pnro name)"
			COMPREPLY=( $(compgen -W "${OPTS[*]}" -- $cur) )
			;;
		2)
			# FIXME: how to determine next free partition number
			;;
		3)
			COMPREPLY=( $(compgen -W "start" -- $cur) )
			;;
		4)
			COMPREPLY=( $(compgen -W "length" -- $cur) )
			;;
	esac
	return 0
}
complete -F _addpart_module addpart